#!/bin/tcsh -f 

set Ls = (5 10 20)

set cdir = $cwd

set script = $cdir/tmp.gplot
foreach L ($Ls)

 cat <<EOF > $script
# Histogram plots for all betas, Ls = $Ls
EOF
 cd $cdir/L$L
 set histe = ( *.hse)
 cat <<EOF >> $script
 set title "Energy histograms L= $L"
 set term postscript
 set out "histe.ps"
 plot [:] \
EOF
 foreach h ($histe)
  set beta = `echo $h | perl -anle 'm/b(.*)\.hse/;print $1'`
  cat <<EOF >> $script
  "$h" using 1:3 with lines t "$beta",\
EOF
 end
 cat <<EOF >> $script
 (1/0) notit
 set out
EOF
 gnuplot $script 
# magnetization:
 set histe = ( *.hsm)
 cat <<EOF >> $script
 set title "Magnetization histograms L= $L"
 set term postscript
 set out "histm.ps"
 plot [:] \
EOF
 foreach h ($histe)
  set beta = `echo $h | perl -anle 'm/b(.*)\.hsm/;print $1'`
  cat <<EOF >> $script
  "$h" using 1:3 with lines t "$beta",\
EOF
 end
 cat <<EOF >> $script
 (1/0) notit
 set out
EOF
 gnuplot $script 
 
end

